<?php
/**
  @licence GPL 2005-2010  The osCSS developers - osCSS Open Source E-commerce
  @portion code Copyright (c) 2002 osCommerce
  @package osCSS-2 <www http://www.oscss.org>
  @version 2.1.0
  @date  26/09/10, 21:14
  @author oscim <mail aurelien@oscim.fr> <www http://www.oscim.fr>
  @encode UTF-8

Dans Ce fichier, les element du constructeur sont accessible directement, via la variable this.
Chaque sous object est nommé comme la variable habituelle
ex: $breadcrumb == $this->breadcrumb

Les variable local, de la page application top par exemple, eux ne le sont pas. Tout les appel ici, doit utiliser l'object constructeur

*/
/**
 commenté par defaut
 affiche le panneau des définitions de pages
*/
$this->add_var_page('develop','false');


/**
	Dimension rediemensionnement img sidebar si pas de configuration prticuliére (plugin, Configuration)
*/
$this->add_var_page('SIDEBAR_IMG_WIDTH','150');
$this->add_var_page('SIDEBAR_IMG_HEIGHT','150');
/**
  Nbr maxi dans les listes (shearch, listing)
*/
$this->add_var_page('MAX_DISPLAY_SEARCH_RESULTS','10');
$this->add_var_page('MAX_DISPLAY_PAGE_LINKS','15');


/**
	Configuration des boxes
Les boxes sont appelé via les lg suivant.
$this->oscss_boxes(Nom de la boxes, parent);
@param string boxe: juste le nom, sans ext, et sans path
@param string parent: le nom dans lesquel l'element sera stocké
*/

/** Box login / info */
  $this->oscss_boxes->_addWidget('Widget_login_box', 'hidden');

  $this->oscss_boxes->_add('languages', 'headertop');
/** Boite de recherche */
  $this->oscss_boxes->_addWidget('Widget_search_suggest', 'headertop');



/** Menu des devises */
  $this->oscss_boxes->_add('currencies', 'header');

  $this->oscss_boxes->_add('categories', 'left');

  $this->oscss_boxes->_add('specials', 'left', array('cache'=>false));


  $this->oscss_boxes->_add('shopping_cart_short', 'right' ,array('cache'=>false));
//   if( tep_session_is_registered('customer_id') )
//     $this->oscss_boxes->_addWidget('Widget_account_info', 'right');

  $this->oscss_boxes->_add('whats_new', 'right', array('cache'=>false));
  $this->oscss_boxes->_add('manufacturers', 'right');

 $this->oscss_boxes->_add('checkout_progressbar', 'progressbar');
/**
	Configuration des modules.
*/
if($page->is_page_type('product') ){
  $this->oscss_modules->_add(FILENAME_ALSO_PURCHASED_PRODUCTS,'center',array('sort'=>60));
  $this->oscss_modules->_add(FILENAME_UPCOMING_PRODUCTS,'center',array('sort'=>60));
}
elseif(!$page->is_page_type('account') && !$page->is_page_type('cart') && !$page->is_page_type('checkout')&& !$page->is_page_type('none'))
  $this->oscss_modules->_add(FILENAME_NEW_PRODUCTS,'center',array('sort'=>60));

/**
Les element a placé dans les gabarits de page

Il sont nécessairement appelé par $page, ou le code raccourcis de l'object
*/
?>